| Name                          | Version      | License                                                                                                        | Author                                                                                                           | URL                                                               | Description                                                                                                |
|-------------------------------|--------------|----------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------|
| GitPython                     | 3.1.37       | BSD License                                                                                                    | Sebastian Thiel, Michael Trier                                                                                   | https://github.com/gitpython-developers/GitPython                 | GitPython is a Python library used to interact with Git repositories                                       |
| Pillow                        | 10.0.1       | Historical Permission Notice and Disclaimer (HPND)                                                             | Jeffrey A. Clark (Alex)                                                                                          | https://python-pillow.org                                         | Python Imaging Library (Fork)                                                                              |
| PyYAML                        | 6.0.1        | MIT License                                                                                                    | Kirill Simonov                                                                                                   | https://pyyaml.org/                                               | YAML parser and emitter for Python                                                                         |
| Pygments                      | 2.16.1       | BSD License                                                                                                    | Georg Brandl <georg@python.org>                                                                                  | https://pygments.org                                              | Pygments is a syntax highlighting package written in Python.                                               |
| XlsxWriter                    | 3.1.6        | BSD License                                                                                                    | John McNamara                                                                                                    | https://github.com/jmcnamara/XlsxWriter                           | A Python module for creating Excel XLSX files.                                                             |
| appnope                       | 0.1.3        | BSD License                                                                                                    | Min Ragan-Kelley                                                                                                 | http://github.com/minrk/appnope                                   | Disable App Nap on macOS >= 10.9                                                                           |
| arviz                         | 0.16.1       | Apache Software License                                                                                        | ArviZ Developers                                                                                                 | http://github.com/arviz-devs/arviz                                | Exploratory analysis of Bayesian models                                                                    |
| asttokens                     | 2.4.0        | Apache 2.0                                                                                                     | Dmitry Sagalovskiy, Grist Labs                                                                                   | https://github.com/gristlabs/asttokens                            | Annotate AST trees with source code positions                                                              |
| attrs                         | 23.1.0       | MIT License                                                                                                    | Hynek Schlawack <hs@ox.cx>                                                                                       | https://www.attrs.org/en/stable/changelog.html                    | Classes Without Boilerplate                                                                                |
| backcall                      | 0.2.0        | BSD License                                                                                                    | Thomas Kluyver                                                                                                   | https://github.com/takluyver/backcall                             | Specifications for callback functions passed in to an API                                                  |
| backports.functools-lru-cache | 1.6.5        | MIT License                                                                                                    | Raymond Hettinger                                                                                                | https://github.com/jaraco/backports.functools_lru_cache           | Backport of functools.lru_cache                                                                            |
| bandit                        | 1.7.5        | Apache Software License                                                                                        | PyCQA                                                                                                            | https://bandit.readthedocs.io/                                    | Security oriented static analyser for python code.                                                         |
| black                         | 23.9.1       | MIT License                                                                                                    | Łukasz Langa <lukasz@langa.pl>                                                                                   | https://github.com/psf/black                                      | The uncompromising code formatter.                                                                         |
| cached-property               | 1.5.2        | BSD License                                                                                                    | Daniel Greenfeld                                                                                                 | https://github.com/pydanny/cached-property                        | A decorator for caching properties in classes.                                                             |
| cachetools                    | 5.3.1        | MIT License                                                                                                    | Thomas Kemmer                                                                                                    | https://github.com/tkem/cachetools/                               | Extensible memoizing collections and decorators                                                            |
| certifi                       | 2023.7.22    | Mozilla Public License 2.0 (MPL 2.0)                                                                           | Kenneth Reitz                                                                                                    | https://github.com/certifi/python-certifi                         | Python package for providing Mozilla's CA Bundle.                                                          |
| cfgv                          | 3.4.0        | MIT License                                                                                                    | Anthony Sottile                                                                                                  | https://github.com/asottile/cfgv                                  | Validate configuration and produce human readable error messages.                                          |
| click                         | 8.1.7        | BSD License                                                                                                    | UNKNOWN                                                                                                          | https://palletsprojects.com/p/click/                              | Composable command line interface toolkit                                                                  |
| cloudpickle                   | 2.2.1        | BSD License                                                                                                    | Cloudpipe                                                                                                        | https://github.com/cloudpipe/cloudpickle                          | Extended pickling support for Python objects                                                               |
| colorama                      | 0.4.6        | BSD License                                                                                                    | Jonathan Hartley <tartley@tartley.com>                                                                           | https://github.com/tartley/colorama                               | Cross-platform colored terminal text.                                                                      |
| comm                          | 0.1.4        | BSD License                                                                                                    | Jupyter contributors                                                                                             | https://github.com/ipython/comm                                   | Jupyter Python Comm implementation, for usage in ipykernel, xeus-python etc.                               |
| cons                          | 0.4.6        | DFSG approved; GNU Lesser General Public License v3 or later (LGPLv3+)                                         | Brandon T. Willard                                                                                               | https://github.com/pythological/python-cons                       | An implementation of Lisp/Scheme-like cons in Python.                                                      |
| contourpy                     | 1.1.1        | BSD License                                                                                                    | Ian Thomas <ianthomas23@gmail.com>                                                                               | https://github.com/contourpy/contourpy                            | Python library for calculating contours of 2D quadrilateral grids                                          |
| cramjam                       | 2.7.0        | MIT                                                                                                            | Miles Granger <miles59923@gmail.com>                                                                             | https://github.com/milesgranger/pyrus-cramjam                     | Thin Python bindings to de/compression algorithms in Rust                                                  |
| csv2md                        | 1.2.0        | MIT License                                                                                                    | Lev Zakharov                                                                                                     | https://github.com/lzakharov/csv2md                               | Command line tool for converting CSV files into Markdown tables.                                           |
|                               |              |                                                                                                                |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | Copyright (c) 2023 Lev Zakharov                                                                                |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              |                                                                                                                |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | Permission is hereby granted, free of charge, to any person obtaining a copy                                   |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | of this software and associated documentation files (the "Software"), to deal                                  |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | in the Software without restriction, including without limitation the rights                                   |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | to use, copy, modify, merge, publish, distribute, sublicense, and/or sell                                      |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | copies of the Software, and to permit persons to whom the Software is                                          |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | furnished to do so, subject to the following conditions:                                                       |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              |                                                                                                                |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | The above copyright notice and this permission notice shall be included in all                                 |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | copies or substantial portions of the Software.                                                                |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              |                                                                                                                |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR                                     |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,                                       |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE                                    |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER                                         |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,                                  |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE                                  |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              | SOFTWARE.                                                                                                      |                                                                                                                  |                                                                   |                                                                                                            |
|                               |              |                                                                                                                |                                                                                                                  |                                                                   |                                                                                                            |
| cycler                        | 0.11.0       | BSD License                                                                                                    | Thomas A Caswell                                                                                                 | https://github.com/matplotlib/cycler                              | Composable style cycles                                                                                    |
| debugpy                       | 1.8.0        | MIT License                                                                                                    | Microsoft Corporation                                                                                            | https://aka.ms/debugpy                                            | An implementation of the Debug Adapter Protocol for Python                                                 |
| decorator                     | 5.1.1        | BSD License                                                                                                    | Michele Simionato                                                                                                | https://github.com/micheles/decorator                             | Decorators for Humans                                                                                      |
| defusedxml                    | 0.7.1        | Python Software Foundation License                                                                             | Christian Heimes                                                                                                 | https://github.com/tiran/defusedxml                               | XML bomb protection for Python stdlib modules                                                              |
| distlib                       | 0.3.7        | Python Software Foundation License                                                                             | Vinay Sajip                                                                                                      | https://github.com/pypa/distlib                                   | Distribution utilities                                                                                     |
| et-xmlfile                    | 1.1.0        | MIT License                                                                                                    | See ATUHORS.txt                                                                                                  | https://foss.heptapod.net/openpyxl/et_xmlfile                     | An implementation of lxml.xmlfile for the standard library                                                 |
| etuples                       | 0.3.9        | Apache Software License                                                                                        | UNKNOWN                                                                                                          | http://github.com/pythological/etuples                            | Python S-expression emulation using tuple-like objects.                                                    |
| exceptiongroup                | 1.1.3        | MIT License                                                                                                    | Alex Grönholm <alex.gronholm@nextday.fi>                                                                         | https://github.com/agronholm/exceptiongroup/blob/main/CHANGES.rst | Backport of PEP 654 (exception groups)                                                                     |
| executing                     | 1.2.0        | MIT License                                                                                                    | Alex Hall                                                                                                        | https://github.com/alexmojaki/executing                           | Get the currently executing AST node of a frame, and other information                                     |
| fastparquet                   | 2023.8.0     | Apache Software License                                                                                        | Martin Durant                                                                                                    | https://github.com/dask/fastparquet/                              | Python support for Parquet file format                                                                     |
| fastprogress                  | 1.0.3        | Apache Software License                                                                                        | Sylvain Gugger                                                                                                   | https://github.com/fastai/fastprogress                            | A nested progress with plotting options for fastai                                                         |
| filelock                      | 3.12.4       | The Unlicense (Unlicense)                                                                                      | UNKNOWN                                                                                                          | https://github.com/tox-dev/py-filelock                            | A platform independent file lock.                                                                          |
| flake8                        | 6.1.0        | MIT License                                                                                                    | Tarek Ziade                                                                                                      | https://github.com/pycqa/flake8                                   | the modular source code checker: pep8 pyflakes and co                                                      |
| fonttools                     | 4.43.0       | MIT License                                                                                                    | Just van Rossum                                                                                                  | http://github.com/fonttools/fonttools                             | Tools to manipulate font files                                                                             |
| fsspec                        | 2023.9.2     | BSD License                                                                                                    | UNKNOWN                                                                                                          | https://github.com/fsspec/filesystem_spec                         | File-system specification                                                                                  |
| ftfy                          | 6.1.1        | MIT License                                                                                                    | Robyn Speer                                                                                                      | UNKNOWN                                                           | Fixes mojibake and other problems with Unicode, after the fact                                             |
| gitdb                         | 4.0.10       | BSD License                                                                                                    | Sebastian Thiel                                                                                                  | https://github.com/gitpython-developers/gitdb                     | Git Object Database                                                                                        |
| graphviz                      | 0.18         | MIT License                                                                                                    | Sebastian Bank                                                                                                   | https://github.com/xflr6/graphviz                                 | Simple Python interface for Graphviz                                                                       |
| h5netcdf                      | 1.2.0        | BSD License                                                                                                    | Stephan Hoyer <shoyer@gmail.com>, Kai Mühlbauer <kmuehlbauer@wradlib.org>                                        | https://h5netcdf.org                                              | netCDF4 via h5py                                                                                           |
| h5py                          | 3.9.0        | BSD License                                                                                                    | Andrew Collette <andrew.collette@gmail.com>                                                                      | https://www.h5py.org/                                             | Read and write HDF5 files from Python                                                                      |
| hypothesis                    | 6.87.1       | Mozilla Public License 2.0 (MPL 2.0)                                                                           | David R. MacIver and Zac Hatfield-Dodds                                                                          | https://hypothesis.works                                          | A library for property-based testing                                                                       |
| identify                      | 2.5.30       | MIT License                                                                                                    | Chris Kuehl                                                                                                      | https://github.com/pre-commit/identify                            | File identification library for Python                                                                     |
| importlib-metadata            | 6.8.0        | Apache Software License                                                                                        | Jason R. Coombs                                                                                                  | https://github.com/python/importlib_metadata                      | Read metadata from Python packages                                                                         |
| iniconfig                     | 2.0.0        | MIT License                                                                                                    | Ronny Pfannschmidt <opensource@ronnypfannschmidt.de>, Holger Krekel <holger.krekel@gmail.com>                    | https://github.com/pytest-dev/iniconfig                           | brain-dead simple config-ini parsing                                                                       |
| interrogate                   | 1.5.0        | MIT License                                                                                                    | Lynn Root                                                                                                        | https://interrogate.readthedocs.io                                | Interrogate a codebase for docstring coverage.                                                             |
| ipykernel                     | 6.25.2       | BSD License                                                                                                    | IPython Development Team <ipython-dev@scipy.org>                                                                 | https://ipython.org                                               | IPython Kernel for Jupyter                                                                                 |
| ipython                       | 8.16.1       | BSD License                                                                                                    | The IPython Development Team                                                                                     | https://ipython.org                                               | IPython: Productive Interactive Computing                                                                  |
| isort                         | 5.12.0       | MIT License                                                                                                    | Timothy Crosley                                                                                                  | https://pycqa.github.io/isort/                                    | A Python utility / library to sort Python imports.                                                         |
| jedi                          | 0.19.1       | MIT License                                                                                                    | David Halter                                                                                                     | https://github.com/davidhalter/jedi                               | An autocompletion tool for Python that can be used for text editors.                                       |
| jupyter_client                | 8.3.1        | BSD License                                                                                                    | Jupyter Development Team <jupyter@googlegroups.com>                                                              | https://jupyter.org                                               | Jupyter protocol implementation and client libraries                                                       |
| jupyter_core                  | 5.3.2        | BSD License                                                                                                    | Jupyter Development Team <jupyter@googlegroups.org>                                                              | https://jupyter.org                                               | Jupyter core package. A base package on which Jupyter projects rely.                                       |
| kiwisolver                    | 1.4.5        | BSD License                                                                                                    | The Nucleic Development Team <sccolbert@gmail.com>                                                               | https://github.com/nucleic/kiwi                                   | A fast implementation of the Cassowary constraint solver                                                   |
| logical-unification           | 0.4.6        | BSD License                                                                                                    | UNKNOWN                                                                                                          | http://github.com/pythological/unification/                       | Logical unification in Python                                                                              |
| markdown-it-py                | 3.0.0        | MIT License                                                                                                    | Chris Sewell <chrisj_sewell@hotmail.com>                                                                         | https://github.com/executablebooks/markdown-it-py                 | Python port of markdown-it. Markdown parsing, done right!                                                  |
| matplotlib                    | 3.8.0        | Python Software Foundation License                                                                             | John D. Hunter, Michael Droettboom                                                                               | https://matplotlib.org                                            | Python plotting package                                                                                    |
| matplotlib-inline             | 0.1.3        | BSD 3-Clause                                                                                                   | IPython Development Team                                                                                         | https://github.com/ipython/matplotlib-inline                      | Inline Matplotlib backend for Jupyter                                                                      |
| mccabe                        | 0.7.0        | MIT License                                                                                                    | Tarek Ziade                                                                                                      | https://github.com/pycqa/mccabe                                   | McCabe checker, plugin for flake8                                                                          |
| mdurl                         | 0.1.2        | MIT License                                                                                                    | Taneli Hukkinen <hukkin@users.noreply.github.com>                                                                | https://github.com/executablebooks/mdurl                          | Markdown URL utilities                                                                                     |
| miniKanren                    | 1.0.3        | BSD License                                                                                                    | UNKNOWN                                                                                                          | http://github.com/pythological/kanren                             | Relational programming in Python                                                                           |
| mkl-fft                       | 1.3.1        | BSD                                                                                                            | Intel Corporation                                                                                                | http://github.com/IntelPython/mkl_fft                             | MKL-based FFT transforms for NumPy arrays                                                                  |
| mkl-random                    | 1.2.2        | BSD                                                                                                            | Intel Corporation                                                                                                | http://github.com/IntelPython/mkl_random                          | UNKNOWN                                                                                                    |
| mkl-service                   | 2.4.0        | BSD                                                                                                            | Intel                                                                                                            | https://github.com/IntelPython/mkl-service                        | MKL Support Functions                                                                                      |
| multipledispatch              | 0.6.0        | BSD                                                                                                            | Matthew Rocklin                                                                                                  | http://github.com/mrocklin/multipledispatch/                      | Multiple dispatch                                                                                          |
| munkres                       | 1.1.4        | Apache Software License                                                                                        | Brian Clapper                                                                                                    | https://software.clapper.org/munkres/                             | Munkres (Hungarian) algorithm for the Assignment Problem                                                   |
| mypy-extensions               | 1.0.0        | MIT License                                                                                                    | The mypy developers                                                                                              | https://github.com/python/mypy_extensions                         | Type system extensions for programs checked with the mypy type checker.                                    |
| nest-asyncio                  | 1.5.6        | BSD License                                                                                                    | Ewald R. de Wit                                                                                                  | https://github.com/erdewit/nest_asyncio                           | Patch asyncio to allow nested event loops                                                                  |
| nodeenv                       | 1.8.0        | BSD License                                                                                                    | Eugene Kalinin                                                                                                   | https://github.com/ekalinin/nodeenv                               | Node.js virtual environment builder                                                                        |
| numpy                         | 1.24.3       | BSD License                                                                                                    | Travis E. Oliphant et al.                                                                                        | https://www.numpy.org                                             | Fundamental package for array computing in Python                                                          |
| odfpy                         | 1.4.1        | Apache Software License; GNU General Public License (GPL); GNU Library or Lesser General Public License (LGPL) | Soren Roug                                                                                                       | https://github.com/eea/odfpy                                      | Python API and tools to manipulate OpenDocument files                                                      |
| openpyxl                      | 3.1.2        | MIT License                                                                                                    | See AUTHORS                                                                                                      | https://openpyxl.readthedocs.io                                   | A Python library to read/write Excel 2010 xlsx/xlsm files                                                  |
| oreum_core                    | 0.5.0        | Apache Software License                                                                                        | Oreum Industries <info@oreum.io>                                                                                 | https://oreum.io                                                  | Core tools for use on projects by Oreum Industries                                                         |
| packaging                     | 23.2         | Apache Software License; BSD License                                                                           | Donald Stufft <donald@stufft.io>                                                                                 | https://github.com/pypa/packaging                                 | Core utilities for Python packages                                                                         |
| pandas                        | 2.1.1        | BSD License                                                                                                    | The Pandas Development Team <pandas-dev@python.org>                                                              | https://pandas.pydata.org                                         | Powerful data structures for data analysis, time series, and statistics                                    |
| parso                         | 0.8.3        | MIT License                                                                                                    | David Halter                                                                                                     | https://github.com/davidhalter/parso                              | A Python Parser                                                                                            |
| pathspec                      | 0.11.2       | Mozilla Public License 2.0 (MPL 2.0)                                                                           | "Caleb P. Burns" <cpburnz@gmail.com>                                                                             | UNKNOWN                                                           | Utility library for gitignore style pattern matching of file paths.                                        |
| patsy                         | 0.5.3        | BSD License                                                                                                    | Nathaniel J. Smith                                                                                               | https://github.com/pydata/patsy                                   | A Python package for describing statistical models and for building design matrices.                       |
| pbr                           | 5.11.1       | Apache Software License                                                                                        | OpenStack                                                                                                        | https://docs.openstack.org/pbr/latest/                            | Python Build Reasonableness                                                                                |
| pexpect                       | 4.8.0        | ISC License (ISCL)                                                                                             | Noah Spurrier; Thomas Kluyver; Jeff Quast                                                                        | https://pexpect.readthedocs.io/                                   | Pexpect allows easy control of interactive console applications.                                           |
| pickleshare                   | 0.7.5        | MIT License                                                                                                    | Ville Vainio                                                                                                     | https://github.com/pickleshare/pickleshare                        | Tiny 'shelve'-like database with concurrency support                                                       |
| pip                           | 23.2.1       | MIT License                                                                                                    | The pip developers                                                                                               | https://pip.pypa.io/                                              | The PyPA recommended tool for installing Python packages.                                                  |
| pip-licenses                  | 4.3.3        | MIT License                                                                                                    | raimon                                                                                                           | https://github.com/raimon49/pip-licenses                          | Dump the software license list of Python packages installed with pip.                                      |
| pipdeptree                    | 2.13.0       | MIT License                                                                                                    | UNKNOWN                                                                                                          | https://github.com/tox-dev/pipdeptree                             | Command line utility to show dependency tree of packages.                                                  |
| platformdirs                  | 3.11.0       | MIT License                                                                                                    | UNKNOWN                                                                                                          | https://github.com/platformdirs/platformdirs                      | A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".         |
| pluggy                        | 1.3.0        | MIT License                                                                                                    | Holger Krekel                                                                                                    | https://github.com/pytest-dev/pluggy                              | plugin and hook calling mechanisms for python                                                              |
| pre-commit                    | 3.4.0        | MIT License                                                                                                    | Anthony Sottile                                                                                                  | https://github.com/pre-commit/pre-commit                          | A framework for managing and maintaining multi-language pre-commit hooks.                                  |
| prettytable                   | 3.9.0        | BSD License                                                                                                    | Luke Maurits <luke@maurits.id.au>                                                                                | https://github.com/jazzband/prettytable                           | A simple Python library for easily displaying tabular data in a visually appealing ASCII table format      |
| prompt-toolkit                | 3.0.39       | BSD License                                                                                                    | Jonathan Slenders                                                                                                | https://github.com/prompt-toolkit/python-prompt-toolkit           | Library for building powerful interactive command lines in Python                                          |
| psutil                        | 5.9.5        | BSD License                                                                                                    | Giampaolo Rodola                                                                                                 | https://github.com/giampaolo/psutil                               | Cross-platform lib for process and system monitoring in Python.                                            |
| ptyprocess                    | 0.7.0        | ISC License (ISCL)                                                                                             | Thomas Kluyver                                                                                                   | https://github.com/pexpect/ptyprocess                             | Run a subprocess in a pseudo terminal                                                                      |
| pure-eval                     | 0.2.2        | MIT License                                                                                                    | Alex Hall                                                                                                        | http://github.com/alexmojaki/pure_eval                            | Safely evaluate AST nodes without side effects                                                             |
| py                            | 1.11.0       | MIT License                                                                                                    | holger krekel, Ronny Pfannschmidt, Benjamin Peterson and others                                                  | https://py.readthedocs.io/                                        | library with cross-python path, ini-parsing, io, code, log facilities                                      |
| pyarrow                       | 13.0.0       | Apache Software License                                                                                        | UNKNOWN                                                                                                          | https://arrow.apache.org/                                         | Python library for Apache Arrow                                                                            |
| pycodestyle                   | 2.11.0       | MIT License                                                                                                    | Johann C. Rocholl                                                                                                | https://pycodestyle.pycqa.org/                                    | Python style guide checker                                                                                 |
| pyflakes                      | 3.1.0        | MIT License                                                                                                    | A lot of people                                                                                                  | https://github.com/PyCQA/pyflakes                                 | passive checker of Python programs                                                                         |
| pymc                          | 5.6.1        | Apache Software License                                                                                        | UNKNOWN                                                                                                          | http://github.com/pymc-devs/pymc                                  | Probabilistic Programming in Python: Bayesian Modeling and Probabilistic Machine Learning with PyTensor    |
| pyparsing                     | 3.1.1        | MIT License                                                                                                    | Paul McGuire <ptmcg.gm+pyparsing@gmail.com>                                                                      | https://github.com/pyparsing/pyparsing/                           | pyparsing module - Classes and methods to define and execute parsing grammars                              |
| pytensor                      | 2.12.3       | BSD License                                                                                                    | pymc-devs <pymc.devs@gmail.com>                                                                                  | https://github.com/pymc-devs/pytensor                             | Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs.                              |
| pytest                        | 7.4.2        | MIT License                                                                                                    | Holger Krekel, Bruno Oliveira, Ronny Pfannschmidt, Floris Bruynooghe, Brianna Laugher, Florian Bruhin and others | https://docs.pytest.org/en/latest/                                | pytest: simple powerful testing with Python                                                                |
| python-dateutil               | 2.8.2        | Apache Software License; BSD License                                                                           | Gustavo Niemeyer                                                                                                 | https://github.com/dateutil/dateutil                              | Extensions to the standard Python datetime module                                                          |
| pytz                          | 2023.3.post1 | MIT License                                                                                                    | Stuart Bishop                                                                                                    | http://pythonhosted.org/pytz                                      | World timezone definitions, modern and historical                                                          |
| pyxlsb                        | 1.0.10       | GNU Lesser General Public License v3 or later (LGPLv3+)                                                        | William Turner                                                                                                   | https://github.com/willtrnr/pyxlsb                                | Excel 2007-2010 Binary Workbook (xlsb) parser                                                              |
| pyzmq                         | 25.1.1       | BSD License; GNU Library or Lesser General Public License (LGPL)                                               | Brian E. Granger, Min Ragan-Kelley                                                                               | https://pyzmq.readthedocs.org                                     | Python bindings for 0MQ                                                                                    |
| rich                          | 13.6.0       | MIT License                                                                                                    | Will McGugan                                                                                                     | https://github.com/Textualize/rich                                | Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal            |
| scipy                         | 1.11.3       | BSD License                                                                                                    | UNKNOWN                                                                                                          | https://scipy.org/                                                | Fundamental algorithms for scientific computing in Python                                                  |
| seaborn                       | 0.12.2       | BSD License                                                                                                    | Michael Waskom <mwaskom@gmail.com>                                                                               | https://github.com/mwaskom/seaborn                                | Statistical data visualization                                                                             |
| setuptools                    | 68.2.2       | MIT License                                                                                                    | Python Packaging Authority                                                                                       | https://github.com/pypa/setuptools                                | Easily download, build, install, upgrade, and uninstall Python packages                                    |
| six                           | 1.16.0       | MIT License                                                                                                    | Benjamin Peterson                                                                                                | https://github.com/benjaminp/six                                  | Python 2 and 3 compatibility utilities                                                                     |
| smmap                         | 5.0.1        | BSD License                                                                                                    | Sebastian Thiel                                                                                                  | https://github.com/gitpython-developers/smmap                     | A pure Python implementation of a sliding window memory map manager                                        |
| sortedcontainers              | 2.4.0        | Apache Software License                                                                                        | Grant Jenks                                                                                                      | http://www.grantjenks.com/docs/sortedcontainers/                  | Sorted Containers -- Sorted List, Sorted Dict, Sorted Set                                                  |
| stack-data                    | 0.6.2        | MIT License                                                                                                    | Alex Hall                                                                                                        | http://github.com/alexmojaki/stack_data                           | Extract data from python stack frames and tracebacks for informative displays                              |
| stevedore                     | 5.1.0        | Apache Software License                                                                                        | OpenStack                                                                                                        | https://docs.openstack.org/stevedore/latest/                      | Manage dynamic plugins for Python applications                                                             |
| tabulate                      | 0.9.0        | MIT License                                                                                                    | Sergey Astanin <s.astanin@gmail.com>                                                                             | https://github.com/astanin/python-tabulate                        | Pretty-print tabular data                                                                                  |
| toml                          | 0.10.2       | MIT License                                                                                                    | William Pearson                                                                                                  | https://github.com/uiri/toml                                      | Python Library for Tom's Obvious, Minimal Language                                                         |
| tomli                         | 2.0.1        | MIT License                                                                                                    | Taneli Hukkinen <hukkin@users.noreply.github.com>                                                                | https://github.com/hukkin/tomli                                   | A lil' TOML parser                                                                                         |
| toolz                         | 0.12.0       | BSD License                                                                                                    | https://raw.github.com/pytoolz/toolz/master/AUTHORS.md                                                           | https://github.com/pytoolz/toolz/                                 | List processing tools and functional utilities                                                             |
| tornado                       | 6.3.3        | Apache Software License                                                                                        | Facebook                                                                                                         | http://www.tornadoweb.org/                                        | Tornado is a Python web framework and asynchronous networking library, originally developed at FriendFeed. |
| traitlets                     | 5.11.2       | BSD License                                                                                                    | IPython Development Team <ipython-dev@python.org>                                                                | https://github.com/ipython/traitlets                              | Traitlets Python configuration system                                                                      |
| typing_extensions             | 4.8.0        | Python Software Foundation License                                                                             | "Guido van Rossum, Jukka Lehtosalo, Łukasz Langa, Michael Lee" <levkivskyi@gmail.com>                            | https://github.com/python/typing_extensions                       | Backported and Experimental Type Hints for Python 3.8+                                                     |
| tzdata                        | 2023.3       | Apache Software License                                                                                        | Python Software Foundation                                                                                       | https://github.com/python/tzdata                                  | Provider of IANA time zone data                                                                            |
| unicodedata2                  | 15.1.0       | Apache License 2.0                                                                                             | Mike Kaplinskiy                                                                                                  | http://github.com/fonttools/unicodedata2                          | Unicodedata backport updated to the latest Unicode version.                                                |
| virtualenv                    | 20.24.5      | MIT License                                                                                                    | UNKNOWN                                                                                                          | https://github.com/pypa/virtualenv                                | Virtual Python Environment builder                                                                         |
| wcwidth                       | 0.2.8        | MIT License                                                                                                    | Jeff Quast                                                                                                       | https://github.com/jquast/wcwidth                                 | Measures the displayed width of unicode strings in a terminal                                              |
| wheel                         | 0.41.2       | MIT License                                                                                                    | Daniel Holth <dholth@fastmail.fm>                                                                                | https://wheel.readthedocs.io/en/stable/news.html                  | A built-package format for Python                                                                          |
| xarray                        | 2023.9.0     | Apache Software License                                                                                        | xarray Developers <xarray@googlegroups.com>                                                                      | https://xarray.dev/                                               | N-D labeled arrays and datasets in Python                                                                  |
| xarray-einstats               | 0.6.0        | Apache Software License                                                                                        | ArviZ team <arviz.devs@gmail.com>                                                                                | https://github.com/arviz-devs/xarray-einstats                     | Stats, linear algebra and einops for xarray                                                                |
| xlrd                          | 2.0.1        | BSD License                                                                                                    | Chris Withers                                                                                                    | http://www.python-excel.org/                                      | Library for developers to extract data from Microsoft Excel (tm) .xls spreadsheet files                    |
| zipp                          | 3.17.0       | MIT License                                                                                                    | Jason R. Coombs                                                                                                  | https://github.com/jaraco/zipp                                    | Backport of pathlib-compatible object wrapper for zip files                                                |
